/**
 * output package name
 */
package com.kingdee.eas.custom.attendanceexception.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class PushTypeEnum extends StringEnum
{
    public static final String EMPLOYEEREMINDER_VALUE = "1";//alias=提醒员工处理考勤
    public static final String EMPLOYEEEXCEPTIONALERT_VALUE = "2";//alias=员工考勤异常关怀
    public static final String CENTERLEADERREMINDER_VALUE = "3";//alias=中心考勤异常汇总

    public static final PushTypeEnum EMPLOYEEREMINDER = new PushTypeEnum("EMPLOYEEREMINDER", EMPLOYEEREMINDER_VALUE);
    public static final PushTypeEnum EMPLOYEEEXCEPTIONALERT = new PushTypeEnum("EMPLOYEEEXCEPTIONALERT", EMPLOYEEEXCEPTIONALERT_VALUE);
    public static final PushTypeEnum CENTERLEADERREMINDER = new PushTypeEnum("CENTERLEADERREMINDER", CENTERLEADERREMINDER_VALUE);

    /**
     * construct function
     * @param String pushTypeEnum
     */
    private PushTypeEnum(String name, String pushTypeEnum)
    {
        super(name, pushTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static PushTypeEnum getEnum(String pushTypeEnum)
    {
        return (PushTypeEnum)getEnum(PushTypeEnum.class, pushTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(PushTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(PushTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(PushTypeEnum.class);
    }
}